Ubuntu

[gm45] Adjusting Brightness in Acer Aspire Timelines causes system freeze in 4810T and 5810T models

Reported by DanL on 2009-10-08
166
This bug affects 32 people
Affects Status Importance Assigned to Milestone
xserver-xorg-video-intel (Ubuntu)
Undecided
Unassigned
Nominated for Jaunty by executorvs
Nominated for Karmic by executorvs
Declined for Lucid by Bryce Harrington
Nominated for Maverick by trendzetter

Bug Description

Binary package hint: compiz

Ubuntu 9.10 Beta, Acer 4810tz "Timeline" series BIOS 1.28

When Appearance -> Visual Effects are set to "none" brighness keys act as expected with small screen glitches at the bottom of the panel.

With Appearance -> Visual Effects set to either "Normal" or "Advanced" changing brightness via the keys causes system to become unresponsive. Mouse does not move, keyboard does not work EXCEPT the ability to continue changing the brightness. Only way out is hard power off (or restart via sysreq).

I have attempted to enable visual effects and disable all plugins via CCSM with no luck.

Description: Ubuntu karmic (development branch)
Release: 9.10

compiz:
  Installed: 1:0.8.3+git20091005-0ubuntu5
  Candidate: 1:0.8.3+git20091005-0ubuntu5
  Version table:
 *** 1:0.8.3+git20091005-0ubuntu5 0
        500 http://us.archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status

ProblemType: Bug
Architecture: i386
CompizPlugins: [core,move,resize,place,decoration,animation,ccp,dbus,mousepoll,gnomecompat,png,svg,imgjpeg,text,commands,neg,video,wall,snap,scale,scaleaddon,expo,staticswitcher,regex,resizeinfo,workarounds,ezoom,vpswitch,extrawm,fade,session,shift,wobbly]
Date: Thu Oct 8 16:13:02 2009
DistroRelease: Ubuntu 9.10
MachineType: Acer Aspire 4810T
Package: compiz 1:0.8.3+git20091005-0ubuntu5
PackageArchitecture: all
PciDisplay: 00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 07)
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-12-generic root=UUID=33fe58ed-1c9d-4bb1-8ae3-e148af49bd93 ro quiet splash
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-12.39-generic
RelatedPackageVersions:
 xserver-xorg 1:7.4+3ubuntu5
 libgl1-mesa-glx 7.6.0~git20090817.7c422387-0ubuntu7
 libdrm2 2.4.13-1ubuntu1
 xserver-xorg-video-intel 2:2.8.1-1ubuntu2
 xserver-xorg-video-ati 1:6.12.99+git20090825.fc74e119-0ubuntu2
SourcePackage: compiz
Uname: Linux 2.6.31-12-generic i686
XorgConf: Error: [Errno 2] No such file or directory: '/etc/X11/xorg.conf'
dmi.bios.date: 08/17/2009
dmi.bios.vendor: INSYDE
dmi.bios.version: V1.28.
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: Aspire 4810T
dmi.board.vendor: Acer
dmi.board.version: Base Board Version
dmi.chassis.type: 1
dmi.chassis.vendor: Chassis Manufacturer
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnINSYDE:bvrV1.28.:bd08/17/2009:svnAcer:pnAspire4810T:pvrV1.28.:rvnAcer:rnAspire4810T:rvrBaseBoardVersion:cvnChassisManufacturer:ct1:cvrChassisVersion:
dmi.product.name: Aspire 4810T
dmi.product.version: V1.28.
dmi.sys.vendor: Acer
system: distro = Ubuntu, architecture = i686, kernel = 2.6.31-12-generic

DanL (dan-l) wrote :
fowie (fowdawgg) wrote :

I do not have this bug on my Acer Timeline 3810T with Intel SSD using Karmic beta x64 with compiz enabled. Have you tried using the 64 bit variant? I can post more info if needed, but my screen brightness keys work as expected.

DanL (dan-l) wrote :

@fowie - What BIOS version do you have?

I should add that the Panel Brightness Adjust applet and the Power Manager brightness adjust do not work also.

If I add "nomodeset acpi_backlight=vendor" to my grub kernel commands this allows me to use the Panel and Power management brightness sliders, however, the fn brightness keys still cause system freeze.

fowie (fowdawgg) wrote :

I have bios version 1.07 (never updated, stock from Acer)

citizenofnowhere (annafil) wrote :

@DanL:

Does this behavior persist with older BIOS versions? I've looked at the dump of the DSDT table for the 4810 v1.28 and there are 200 over errors in it that the Intel compiler picks up (my 3810 had 0 after I fixed some typos) - I'm guessing that could have something to do with it. It would take a while to go through all of them though ;)

That said, does this bug exist on both the ATI and Intel versions of the 4810? if not, it could be a graphics driver issue (I would hope for this since that's much easier to fix~ :))

Another thing you could possibly try is the Kubuntu live cd. Even if you're not crazy about KDE, it could be useful for debugging - KDE4 has compositing enabled by default - for e.g. if brightness works with kde4 and effects are on, it's not likely to be the graphics driver.@DanL:

Does this behavior persist with older BIOS versions? I've looked at a dump of the DSDT table for the 4810 v 1.28 and there are 200 over errors in it that the Intel compiler picks up - I'm guessing that could have something to do with it.

That said, does this bug exist on both the ATI and Intel versions of the 4810? if not, it could be a graphics driver issue (I would hope for this since that's much easier to fix~ :))

Another thing you could possibly try is the Kubuntu live cd. Even if you're not crazy about KDE, it could be useful for debugging - KDE4 has compositing enabled by default - for e.g. if brightness works with kde4 and effects are on, it's not likely to be the graphics driver.

citizenofnowhere (annafil) wrote :

woops sorry guys for the double post er thing :)

DanL (dan-l) wrote :

@citizenofnowhere:

I upgraded to bios 1.28 to fix the issue of the cdrom not being detected when pressing the eject button. Unfortunately I heard one other report of a user that downgraded back to 1.10 and bricked his lappy. That is one too many reports for me to attempt to do a downgrade.

kUbuntu 9.04 Live-CD: Brightness keys work as they are supposed to. No notification comes up, but the screen does dim properly. I didn't know where to find the power applet to see if the sliders worked.

Ubuntu 9.04 Live-CD: Brightness keys work as they are supposed to. Notification DOES come up and the screen dims at appropriate levels. Brightness sliders do not work in Power Manager or Brightness Applet. With Visual Effects set to "Normal" or "Extra" everything acts the same. Brightness keys work, notification, sliders do not work.

Ubuntu 9.10 Beta Live-CD: Same issues as I posted for this bug. System freezes when adjusting brightness if Visual Effects are set to "Normal" or "Extra". Brightness slider applets do not work.

I don't have kUbuntu 9.10 Live-CD to try so...

Stefan Tjarks (stefan-tjarks) wrote :

Encounter the same problem on Karmic 64bit with latest updates and BIOS v. 1.28.

Download full text (3.6 KiB)

He y Dan, have you submitted this bug to Ubuntu's 9.10 bug fix site yet?

On Fri, Oct 9, 2009 at 9:19 AM, DanL <email address hidden> wrote:

> @fowie - What BIOS version do you have?
>
> I should add that the Panel Brightness Adjust applet and the Power
> Manager brightness adjust do not work also.
>
> If I add "nomodeset acpi_backlight=vendor" to my grub kernel commands
> this allows me to use the Panel and Power management brightness sliders,
> however, the fn brightness keys still cause system freeze.
>
> --
> Acer 1410t Brightness Adjust with Compiz system freeze
> https://bugs.launchpad.net/bugs/446717
> You received this bug notification because you are a member of Acer
> Timeline 3810T/4810T, which is a direct subscriber.
>
> Status in “compiz” package in Ubuntu: New
>
> Bug description:
> Binary package hint: compiz
>
> Ubuntu 9.10 Beta, Acer 4810tz "Timeline" series BIOS 1.28
>
> When Appearance -> Visual Effects are set to "none" brighness keys act as
> expected with small screen glitches at the bottom of the panel.
>
> With Appearance -> Visual Effects set to either "Normal" or "Advanced"
> changing brightness via the keys causes system to become unresponsive.
> Mouse does not move, keyboard does not work EXCEPT the ability to continue
> changing the brightness. Only way out is hard power off (or restart via
> sysreq).
>
> I have attempted to enable visual effects and disable all plugins via CCSM
> with no luck.
>
> Description: Ubuntu karmic (development branch)
> Release: 9.10
>
> compiz:
> Installed: 1:0.8.3+git20091005-0ubuntu5
> Candidate: 1:0.8.3+git20091005-0ubuntu5
> Version table:
> *** 1:0.8.3+git20091005-0ubuntu5 0
> 500 http://us.archive.ubuntu.com karmic/main Packages
> 100 /var/lib/dpkg/status
>
> ProblemType: Bug
> Architecture: i386
> CompizPlugins:
> [core,move,resize,place,decoration,animation,ccp,dbus,mousepoll,gnomecompat,png,svg,imgjpeg,text,commands,neg,video,wall,snap,scale,scaleaddon,expo,staticswitcher,regex,resizeinfo,workarounds,ezoom,vpswitch,extrawm,fade,session,shift,wobbly]
> Date: Thu Oct 8 16:13:02 2009
> DistroRelease: Ubuntu 9.10
> MachineType: Acer Aspire 4810T
> Package: compiz 1:0.8.3+git20091005-0ubuntu5
> PackageArchitecture: all
> PciDisplay: 00:02.0 VGA compatible controller [0300]: Intel Corporation
> Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 07)
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-12-generic
> root=UUID=33fe58ed-1c9d-4bb1-8ae3-e148af49bd93 ro quiet splash
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-12.39-generic
> RelatedPackageVersions:
> xserver-xorg 1:7.4+3ubuntu5
> libgl1-mesa-glx 7.6.0~git20090817.7c422387-0ubuntu7
> libdrm2 2.4.13-1ubuntu1
> xserver-xorg-video-intel 2:2.8.1-1ubuntu2
> xserver-xorg-video-ati 1:6.12.99+git20090825.fc74e119-0ubuntu2
> SourcePackage: compiz
> Uname: Linux 2.6.31-12-generic i686
> XorgConf: Error: [Errno 2] No such file or directory: '/etc/X11/xorg.conf'
> dmi.bios.date: 08/17/2009
> dmi.bios.vendor: INSYDE
> dmi.bios.version: V1.28.
> dmi.board.asset.tag: Base Board Asset Tag
> dmi.board.name: Aspire 4810T
> dmi.board.vendor: Acer...

Read more...

I guess not... Where is that at?

Gustavo Azambuja (gazambuja) wrote :

This also happend with bios v2.30
Acer 4810TZ and Karmic Beta

DanL (dan-l) wrote :

New Findings:

Out of box Kubuntu 9.10 with Desktop Effects enabled, brightness keys work as expected!!!

Out of box Ubuntu 9.10 Effects at normal or Extra brightness keys cause system freeze.

There must be an effects setting that is NOT used in Kubuntu that is causing the freeze in Ubuntu.

mopay (gtouron) wrote :

This also happend with bios v2.31
Acer 4810T and Intel graphic card.

tomfool (tomfool) wrote :

Hi to everyone!
Well,i activeted the wifi power-saving mode and i was wonndering if it needs to be activeted every time i re-start my system or just onece?
I bag your pardon for my english,i'm italian!

razor7 (ghiamar) wrote :

Hi...this also occurs with new BIOS 2.31, on Ubuntu with desktop effects enabled...if I disable them...the brigthness control works as espected without freezing the system.

Travis Watkins (amaranth) wrote :

Not sure what is going on here but I'm quite certain compiz itself isn't freezing so it's going to be something at a lower level.

affects: compiz (Ubuntu) → xserver-xorg-video-intel (Ubuntu)
Bryce Harrington (bryce) on 2009-12-22
summary: - Acer 1410t Brightness Adjust with Compiz system freeze
+ [gm45] Acer 1410t Brightness Adjust with Compiz system freeze

This issue was reported against karmic, so can you confirm if this issue exists with the most recent Lucid Lynx 10.04 Alpha release? ISO CD images are available at http://cdimage.ubuntu.com/releases/lucid/ . Thanks in advance.

Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Incomplete
DanL (dan-l) wrote :

Issue still present in Lucid Alpha 2

Vikram Dhillon (dhillon-v10) wrote :

Thanks for testing this and reporting back. Changing the status back to new, it would really help if you could run apport again in lucid and post back the newer logs.

tags: added: lucid
Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → New
Bryce Harrington (bryce) on 2010-02-25
tags: added: karmic
Bryce Harrington (bryce) on 2010-02-25
Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Confirmed
mopay (gtouron) wrote :

Same problem in Acer Aspire Timeline 4810T and Intel video card.
It also happen whith recent kernel 2.6.33

Q-killer (jonhinman) wrote :

I too have the 4810T, I'm running linux mint 8, 32bit kernel 2.6.31, it's based on ubuntu with a gnome interface. I just upgraded from bios 1.12 to 1.33 and this bug started happening. Now I want to go back to 1.12 again, but that early of a revision isn't posted on acers site. I was able to reflash with 1.31, 1.30, and 2.31 (it comes with an olympic logo splash screen, yay). None the various bios versions posted fix the incompatibility/bug. Now i'm running with visual effects set to 'none' and the brightness works, BUT I can't go as low with the brightness as I could before... I used to be able to basically turn off the screen totally, but now even the lowest setting seems to bright in darkness.

When you ran the BIOS update, the program should have saved your old BIOS
for you to reinstall if need be. I am guessing you are in the same boat as
me and deleted that image or no longer have it.

My ultimate solution to fixing all of the bugs in this laptop was to just
bite the bullet and install Win7. 9.04 was great, worked just fine but had
a slow boot time and poor battery life. 9.10 has much quicker boot time and
excellent battery life, but everything else fell apart (Wifi lockups,
touchpad issues, brightness key issues, hibernate, and on and on).
Hopefully 10.04 will come close, but I just couldn't wait for a working OS
and had to use what was available to me.

Ultimately, I have this laptop up for sale since Ubuntu doesn't run very
well on it.

-Dan

On Fri, Feb 26, 2010 at 9:08 AM, Q-killer <email address hidden> wrote:

> I too have the 4810T, I'm running linux mint 8, 32bit kernel 2.6.31,
> it's based on ubuntu with a gnome interface. I just upgraded from bios
> 1.12 to 1.33 and this bug started happening. Now I want to go back to
> 1.12 again, but that early of a revision isn't posted on acers site. I
> was able to reflash with 1.31, 1.30, and 2.31 (it comes with an olympic
> logo splash screen, yay). None the various bios versions posted fix the
> incompatibility/bug. Now i'm running with visual effects set to 'none'
> and the brightness works, BUT I can't go as low with the brightness as I
> could before... I used to be able to basically turn off the screen
> totally, but now even the lowest setting seems to bright in darkness.
>
> --
> [gm45] Acer 1410t Brightness Adjust with Compiz system freeze
> https://bugs.launchpad.net/bugs/446717
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Bryce Harrington (bryce) on 2010-02-27
tags: added: freeze
tags: added: backlight
tags: added: compiz

Since the hardware is no longer available for doing troubleshooting with, we'll have to close the bug for now. However please feel free to reopen if you or anyone else has the same HW and can reproduce this issue using the latest development version of Ubuntu and is willing to do some troubleshooting with it.

Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → Invalid
Q-killer (jonhinman) wrote :

I have this same hardware, and it's available for troubleshooting. As listed above, this issue is still present in lucid alpha release 2, I'm downloading alpha 3 now and will have it installed very shortly, please let me know what tests or output I should post so I can help get this resolved.

Also, I checked for a backup 1.12 bios file, and it doesn't appear to have saved it, I used the dos flash program though, so maybe the windows bios update is different.

Q-killer (jonhinman) wrote :

I just tested the issue on 32bit lucid alpha 3, the bug still remains. As usual, when visual effects are set to none, the system responds ok, but when left at normal, or set to anything else, the system immediately freezes and everything aside from the brightness adjust is unresponsive after initially adjusting brightness.

Whoa... I never said the hardware is unavailable. The issue still
remains for several users. Is it regular practice to close bugs
because one person gave up?

-Dan

On Feb 27, 2010, at 4:45 AM, Bryce Harrington
<email address hidden> wrote:

> Since the hardware is no longer available for doing troubleshooting
> with, we'll have to close the bug for now. However please feel free
> to
> reopen if you or anyone else has the same HW and can reproduce this
> issue using the latest development version of Ubuntu and is willing to
> do some troubleshooting with it.
>
> ** Changed in: xserver-xorg-video-intel (Ubuntu)
> Status: Confirmed => Invalid
>
> --
> [gm45] Acer 1410t Brightness Adjust with Compiz system freeze
> https://bugs.launchpad.net/bugs/446717
> You received this bug notification because you are a direct subscriber
> of the bug.

Changed in xserver-xorg-video-intel (Ubuntu):
status: Invalid → New
Bryce Harrington (bryce) on 2010-02-27
Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Confirmed

Hey Guys,

I'm happy to report I was able to locate bios version 1.26 and enable a work around:

http://www.notebook-driver.com/acer/acer-aspire-4810-timeline-4810t-notebook-windows-xp-drivers/

after downgrading the bios to 1.26 brightness control functionality returned to how it was with bios v1.12. Basically in jaunty brightness control responds, but does not actually adjust the brightness, the fix for this is changing the line
"GRUB_CMDLINE_LINUX_DEFAULT=" in /etc/default/grub to include: nomodeset acpi_backlight=vendor it should look something like this when finished:

GRUB_CMDLINE_LINUX_DEFAULT="i8042.nomux nomodeset acpi_backlight=vendor quiet splash"

then do sudo update-grub

I also left the i8042.nomux nomodeset, since it's effective on this model to fix the 'disable touchpad button bug'.

Now brightness is perfectly adjustable in all levels of visual effects. Also, I'm able to make the screen completely black, and have much finer control over the brightness levels.

I tested this in linux mint 2.6.31-19, but it should likely work the same with current ubuntu.

Q-killer (jonhinman) wrote :

I just confirmed this workaround does function on the ubuntu lucid alpha 3 live. I created a bootable sd card with unetbootin and the alpha3 iso, then edited the file syslinux.cfg on the sdcard and changed the similar default line to the following:

append initrd=/ubninit file=/cdrom/preseed/ubuntu.seed boot=casper i8042.nomux nomodeset acpi_backlight=vendor quiet splash --

brightness adjust now works fine, and doesn't freeze the machine.

Bryce Harrington (bryce) on 2010-03-02
summary: - [gm45] Acer 1410t Brightness Adjust with Compiz system freeze
+ [g45] [gm45] Acer 1410t Brightness Adjust with Compiz system freeze
Bryce Harrington (bryce) on 2010-03-02
summary: - [g45] [gm45] Acer 1410t Brightness Adjust with Compiz system freeze
+ [gm45] Acer 1410t Brightness Adjust with Compiz system freeze
Bryce Harrington (bryce) wrote :

[This is an automatic notification.]

Thanks for reporting this bug to help making the Intel graphics driver
better. We hear from upstream that a number of bugs (possibly including
this one) have been fixed in the newer DRM code from the 2.6.33 kernel.
I don't know if your bug is one of the ones fixed in this release,
though, but we've prepared a PPA with this DRM update. Would you mind
installing this, rebooting, and testing if the original issue can be
reproduced with it or not?

The DRM PPA is here:

    https://edge.launchpad.net/~apw/+archive/red

Note there could be new bugs... please file these as new reports using
the command 'ubuntu-bug linux' (for kernel or DRM or KMS bugs) or
'ubuntu-bug xorg' if you suspect them to be X.org issues.

Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → Incomplete
Stefan Tjarks (stefan-tjarks) wrote :

The issue still exists for me with the kernel out of the PPA. System freezes completely when trying to adjust brightness.

executorvs (executorvs) wrote :

I have an Acer Timeline 5810TZ and the only differences I'm seeing is that I have bios version 1.33 and clean update from the current daily and the bug completely freezes my machine not even allowing me to adjust the brightness further. I may check the PPA listed above later today.

executorvs (executorvs) on 2010-03-11
Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → New
executorvs (executorvs) wrote :

This is the other bug report I suspect is the same problem https://bugs.launchpad.net/ubuntu/+source/gnome-power-manager/+bug/432835 on both the 4810T and 5810T the keys failed to work earlier than at one point during karmic alpha testing the keys started working but produced no actual brightness change unless you reset xrandr by using "xrandr --output LVDS --set BACKLIGHT_CONTROL native" then we progressed to the brightness keys killing the touchpad, and now brightness keys cause complete system freeze.

executorvs (executorvs) on 2010-03-11
summary: - [gm45] Acer 1410t Brightness Adjust with Compiz system freeze
+ Adjusting Brightness in Acer Aspire Timelines causes system freeze in
+ 4810T and 5810T models
executorvs (executorvs) on 2010-03-11
tags: added: 3810t 4810t 5810t acer aspire brightness management power screen timeline
removed: apport-bug compiz i386 karmic lucid
Bryce Harrington (bryce) on 2010-03-12
Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Confirmed
Bryce Harrington (bryce) on 2010-03-16
summary: - Adjusting Brightness in Acer Aspire Timelines causes system freeze in
- 4810T and 5810T models
+ [gm45] Adjusting Brightness in Acer Aspire Timelines causes system
+ freeze in 4810T and 5810T models
Bryce Harrington (bryce) on 2010-03-18
tags: added: karmic
Bryce Harrington (bryce) wrote :

[This bug had been nominated for lucid however there is not yet confirmation in the form of log files that this bug affects lucid, so I'm declining the lucid nomination for now.]

Sashin (sashin) wrote :

I'm using lucid beta 2 and it definitely effects me, if I change brightness it freezes, the same has happened with kernel 2.6.34 rc1 as well as the default kernel. (currently using default)

TexLogic (chris-menzel) wrote :

This bug is most definitely still present under Lucid. I'm running the latest updates as of April 17. Please nominate! Unfortunately, I can't find anything specific in the relevant logs to indicate the problem. Note this is definitely a compiz issue. It does not happen under kwin with full effects. Also, it does not freeze the system, just the GUI; I can ssh in to the machine and kill X or reboot remotely.

Chris Halse Rogers (raof) wrote :

Since you can reproduce this easily it would be good if someone could reproduce it, SSH into the machine, and run “apport-collect 446717”.

Additionally, since this seems to work fine under KDE it would be good to check if it works with metacity's compositor, too. You can enable that by turning off desktop effects and running “gconftool-2 --set --type=bool /apps/metacity/general/compositing_manager true” from a terminal. This would possibly indicate a notify-osd issue.

Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → Incomplete
Download full text (4.3 KiB)

On Tue, Apr 20, 2010 at 12:30 AM, Chris Halse Rogers <email address hidden>wrote:

> Since you can reproduce this easily it would be good if someone could
> reproduce it, SSH into the machine, and run “apport-collect 446717”.
>

Ok, I did that; apport-collect seemed to do what it was supposed to do on
the launchpad site.

> Additionally, since this seems to work fine under KDE it would be good
> to check if it works with metacity's compositor, too. You can enable
> that by turning off desktop effects and running “gconftool-2 --set
> --type=bool /apps/metacity/general/compositing_manager true” from a
> terminal. This would possibly indicate a notify-osd issue.
>

I am able to turn on metacity compositing and adjust the brightness with no
problem, just as with kwin.

Thanks a lot. It would be great to get this bug stamped out. Compiz works
fantastically well on this machine but for this problem.

Chris Menzel

-------------------

** Changed in: xserver-xorg-video-intel (Ubuntu)
> Status: Confirmed => Incomplete
>
> --
> [gm45] Adjusting Brightness in Acer Aspire Timelines causes system freeze
> in 4810T and 5810T models
> https://bugs.launchpad.net/bugs/446717
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “xserver-xorg-video-intel” package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: compiz
>
> Ubuntu 9.10 Beta, Acer 4810tz "Timeline" series BIOS 1.28
>
> When Appearance -> Visual Effects are set to "none" brighness keys act as
> expected with small screen glitches at the bottom of the panel.
>
> With Appearance -> Visual Effects set to either "Normal" or "Advanced"
> changing brightness via the keys causes system to become unresponsive.
> Mouse does not move, keyboard does not work EXCEPT the ability to continue
> changing the brightness. Only way out is hard power off (or restart via
> sysreq).
>
> I have attempted to enable visual effects and disable all plugins via CCSM
> with no luck.
>
> Description: Ubuntu karmic (development branch)
> Release: 9.10
>
> compiz:
> Installed: 1:0.8.3+git20091005-0ubuntu5
> Candidate: 1:0.8.3+git20091005-0ubuntu5
> Version table:
> *** 1:0.8.3+git20091005-0ubuntu5 0
> 500 http://us.archive.ubuntu.com karmic/main Packages
> 100 /var/lib/dpkg/status
>
> ProblemType: Bug
> Architecture: i386
> CompizPlugins:
> [core,move,resize,place,decoration,animation,ccp,dbus,mousepoll,gnomecompat,png,svg,imgjpeg,text,commands,neg,video,wall,snap,scale,scaleaddon,expo,staticswitcher,regex,resizeinfo,workarounds,ezoom,vpswitch,extrawm,fade,session,shift,wobbly]
> Date: Thu Oct 8 16:13:02 2009
> DistroRelease: Ubuntu 9.10
> MachineType: Acer Aspire 4810T
> Package: compiz 1:0.8.3+git20091005-0ubuntu5
> PackageArchitecture: all
> PciDisplay: 00:02.0 VGA compatible controller [0300]: Intel Corporation
> Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 07)
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-12-generic
> root=UUID=33fe58ed-1c9d-4bb1-8ae3-e148af49bd93 ro quiet splash
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-12.39-generic
> Re...

Read more...

Aris Ioannidis (ioannidis-a) wrote :

I am running ubuntu 10.04 RC.

When I was in BIOS v1.10 the "nomodeset acpi_backlight=vendor" parameter would fix the problem.

Now I upgraded to BIOS v2.31 and I have all these issues. Can we get a changelog on the BIOS?

TexLogic (chris-menzel) wrote :
Download full text (4.0 KiB)

I've noticed that as well — although I stopped using the nomodeset option
because it would prevent Ubuntu from being able to give me a console size
and font suitable to the 1366x768 display on my Acer (170x45) and instead
force an ugly 80x24 console. (By "console" I mean the ASCII command line
tty environment you drop in to when you hit "Ctrl-Alt-Fn" (n = 1..6) from
inside X.

-chris

On Sat, Apr 24, 2010 at 1:03 PM, Aris Ioannidis <email address hidden>wrote:

> I am running ubuntu 10.04 RC.
>
> When I was in BIOS v1.10 the "nomodeset acpi_backlight=vendor" parameter
> would fix the problem.
>
> Now I upgraded to BIOS v2.31 and I have all these issues. Can we get a
> changelog on the BIOS?
>
> --
> [gm45] Adjusting Brightness in Acer Aspire Timelines causes system freeze
> in 4810T and 5810T models
> https://bugs.launchpad.net/bugs/446717
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “xserver-xorg-video-intel” package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: compiz
>
> Ubuntu 9.10 Beta, Acer 4810tz "Timeline" series BIOS 1.28
>
> When Appearance -> Visual Effects are set to "none" brighness keys act as
> expected with small screen glitches at the bottom of the panel.
>
> With Appearance -> Visual Effects set to either "Normal" or "Advanced"
> changing brightness via the keys causes system to become unresponsive.
> Mouse does not move, keyboard does not work EXCEPT the ability to continue
> changing the brightness. Only way out is hard power off (or restart via
> sysreq).
>
> I have attempted to enable visual effects and disable all plugins via CCSM
> with no luck.
>
> Description: Ubuntu karmic (development branch)
> Release: 9.10
>
> compiz:
> Installed: 1:0.8.3+git20091005-0ubuntu5
> Candidate: 1:0.8.3+git20091005-0ubuntu5
> Version table:
> *** 1:0.8.3+git20091005-0ubuntu5 0
> 500 http://us.archive.ubuntu.com karmic/main Packages
> 100 /var/lib/dpkg/status
>
> ProblemType: Bug
> Architecture: i386
> CompizPlugins:
> [core,move,resize,place,decoration,animation,ccp,dbus,mousepoll,gnomecompat,png,svg,imgjpeg,text,commands,neg,video,wall,snap,scale,scaleaddon,expo,staticswitcher,regex,resizeinfo,workarounds,ezoom,vpswitch,extrawm,fade,session,shift,wobbly]
> Date: Thu Oct 8 16:13:02 2009
> DistroRelease: Ubuntu 9.10
> MachineType: Acer Aspire 4810T
> Package: compiz 1:0.8.3+git20091005-0ubuntu5
> PackageArchitecture: all
> PciDisplay: 00:02.0 VGA compatible controller [0300]: Intel Corporation
> Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 07)
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-12-generic
> root=UUID=33fe58ed-1c9d-4bb1-8ae3-e148af49bd93 ro quiet splash
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-12.39-generic
> RelatedPackageVersions:
> xserver-xorg 1:7.4+3ubuntu5
> libgl1-mesa-glx 7.6.0~git20090817.7c422387-0ubuntu7
> libdrm2 2.4.13-1ubuntu1
> xserver-xorg-video-intel 2:2.8.1-1ubuntu2
> xserver-xorg-video-ati 1:6.12.99+git20090825.fc74e119-0ubuntu2
> SourcePackage: compiz
> Uname: Linux 2.6.31-12-generic i686
> XorgConf: Error: [Er...

Read more...

I've just installed the latest updates, and can verify that the bug persists. Also, with the nomodeset parameter; brighness applet works, otherwise no effect.

dbius (danubiusz) wrote :

This bug affects me too. Acer 4810t with Intel 4500GMA. I couldn't resolve this problem.

Sashin (sashin) wrote :

Doesn't work with gnome shell either.

Attilio (nexor-tele2) wrote :

Hi everyone, I have an Acer 4810TG which is affected by this bug. I have 3 OSs installed: Windows 7 64bit, Ubuntu 10.4 32bit and Fedora 13 64bit (KDE only), and the bios version is 1.35 (released April 22nd).
The new bios didn't make any difference for me, otherwise here is what i could observe:
-on W7, the brightness hotkeys do work, but not very accurately: i can apparently set 10 different levels, but the lower three have the same brightness, so that the last 2 keypresses when decreasing, and 2 when increasing it cause no effect at all; furthermore i have no OSD feedback. These glitches could be sign of poor support to W7 from Acer, I had Vista preinstalled.
- On Ubuntu with the given workaround (nomodeset apci_backlight=vendor) the controls work very well, ~20 levels with the nice OSD. Unfortunately this cannot be done in F13, which requires KMS on intel cards.
- On Ubuntu and Fedora with desktop effects disabled, and default kernel arguments (except "i8042.nomux", needed for a touchpad bug), thus with KMS enabled, i have a behavior similar to W7, but with even more inaccurate control: the number of levels is not fixed, and i get an OSD which, at least on Fedora, shows incorrect values. What's more interesting is that as soon as i reactivate compositing everything freezes. In Ubuntu the only way to recover control is to forcibly shut down the notebook, whilst in fedora i can restart the X server (with ctrl+alt+back) but only start new sessions without compositing, if i login to a user having it enabled i get stuck at the loading splashscreen.
An interesting fact is that ANY OPENGL ACTIVITY seems to trigger the bug, not only enabling desktop compositing but also starting "glxgears" for example causes me a system freeze, although not always immediately.

I think this bug is not in compiz, but in kernel modesetting instead! Unluckily I currently don't have the time to do much further testing, such as some with the Radeon discrete GPU (i got some freezes with that to, anyway).

Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → Fix Released
Sashin (sashin) wrote :

What is the fix that's been released, how do I apply it?

Sashin (sashin) wrote :

It says fixed release, but I'm unsure about how to fix mine... what do I install?

Hernan de Soto (hdesoto) wrote :

Hector.. why you changed it to Fix Released ?
What is the fix ?

Hernan de Soto (hdesoto) on 2010-07-01
Changed in xserver-xorg-video-intel (Ubuntu):
status: Fix Released → Confirmed
Attilio (nexor-tele2) wrote :

Maybe he was referring to the new intel driver, version 2.12.0 released June 24, which carries some pertaining fixes.
I've tried it in Fedora, with current mesa and libdrm packages and the versions mentioned in the release announce at intellinux.org, but only with kernel 2.6.33.3, and the bug remains for me.

Well +1 :-(

I'm running Lucid on a 4810TG (with ATI, but not using the ATI card, because it drains my battery, see http://ubuntuforums.org/showpost.php?p=7933876&postcount=11 for a module that powers off the ATI card.)

My tries to fix include the following:
- Tried kernel 2.6.34 (package from http://kernel.ubuntu.com/~kernel-ppa/mainline/): No change, still get a freeze
- Tried the "acpi_backlight=vendor" boot option: No change
- Tried the "nomodeset" and "acpi_backlight=vendor" boot options: Seems to fix it, BUT nomodeset breaks lots of stuff for me, so this is not an acceptable option.

There is a working way to set the brightness (see script below Brightness Control > 9.10 on https://help.ubuntu.com/community/AspireTimeline/Fixes).

So all I need for a satisfactory workaround is a way to prevent the kernel and friends from trying to set the brightness. Didn't manage to do so yet:
1) Tried the "acpi.brightness_switch_enabled=0" boot option: No change (even seems like this does not work at all, because "less /sys/module/video/parameters/brightness_switch_enabled" still shows "Y")
2) Tried "echo 0 > /sys/module/video/parameters/brightness_switch_enabled" (as root): No change, still changes the brightness and freezes
3) Tried the "acpi_backlight=vendor" boot option and additionally "modprobe -r acer_wmi" (acer_wmi is the module I suspect to be in charge when the vendor option is passed): No change
4) 3) + "modprobe -r acer_wmi": No change

So: Is there some way to prevent the kernel and modules from trying to set the brightness? This is really annoying because when you remove the AC plug it tries to change the brightness and freezes...

oh:
4) should be "2) + ..."

I found a way to prevent the kernel from setting the brightness: "acpi=off" boot option, but that is not what you want to do an a laptop :-)

When the system is frozen it is enough to kill compiz to break the freeze.
I attached gdb to compiz while frozen, here is the stack:
(gdb) info stack
#0 0x00007fc45b2d2187 in ioctl () from /lib/libc.so.6
#1 0x00007fc45891e84d in drm_intel_gem_bo_start_gtt_access () from /lib/libdrm_intel.so.1
#2 0x00007fc458d8d70f in ?? () from /usr/lib/dri/i965_dri.so
#3 0x00007fc45ba3d612 in glXSwapBuffers () from /usr/lib/mesa/libGL.so.1
#4 0x0000000000413302 in eventLoop ()
#5 0x000000000040d8e9 in main ()

A second time with some more debug symbols installed:
(gdb) info stack
#0 0x00007f2c27198187 in ioctl () from /lib/libc.so.6
#1 0x00007f2c247e484d in drm_intel_gem_bo_start_gtt_access (bo=0x1ac6960, write_enable=<value optimized out>)
    at ../../intel/intel_bufmgr_gem.c:1145
#2 0x00007f2c24c5370f in ?? () from /usr/lib/dri/i965_dri.so
#3 0x00007f2c27903116 in ?? () from /usr/lib/mesa/libGL.so.1
#4 0x0000000000412afb in eventLoop ()
#5 0x000000000040d8e9 in main ()

I also believe that this problem is closely linked to OpenGL activity. Before I touch the brightness keys everything is fine. Compiz and glxgears run. When I touched the brightness keys (sometimes I need to touch them more than one time), compiz freezes. When I kill it via a SSH session and then start glxgears it freezes too.
Attached gdb to frozen glxgears, stack:
(gdb) info stack
#0 0x00007ff3a3abf187 in ioctl () from /lib/libc.so.6
#1 0x00007ff3a1c6c84d in drm_intel_gem_bo_start_gtt_access () from /lib/libdrm_intel.so.1
#2 0x00007ff3a20db70f in ?? () from /usr/lib/dri/i965_dri.so
#3 0x00007ff3a4560612 in glXSwapBuffers () from /usr/lib/mesa/libGL.so.1
#4 0x000000000040339f in ?? ()
#5 0x00007ff3a39ffc4d in __libc_start_main () from /lib/libc.so.6
#6 0x00000000004018c9 in ?? ()
#7 0x00007fff1b7b1d78 in ?? ()
#8 0x000000000000001c in ?? ()
#9 0x0000000000000001 in ?? ()
#10 0x00007fff1b7b3645 in ?? ()
#11 0x0000000000000000 in ?? ()

Second time:
(gdb) info stack
#0 0x00007f0027c5d187 in ioctl () from /lib/libc.so.6
#1 0x00007f0025e0a84d in drm_intel_gem_bo_start_gtt_access (bo=0x25f8be0, write_enable=<value optimized out>)
    at ../../intel/intel_bufmgr_gem.c:1145
#2 0x00007f002627970f in ?? () from /usr/lib/dri/i965_dri.so
#3 0x00007f00286fe612 in glXSwapBuffers () from /usr/lib/mesa/libGL.so.1
#4 0x000000000040339f in ?? ()
#5 0x00007f0027b9dc4d in __libc_start_main () from /lib/libc.so.6
#6 0x00000000004018c9 in ?? ()
#7 0x00007ffff7897138 in ?? ()
#8 0x000000000000001c in ?? ()
#9 0x0000000000000001 in ?? ()
#10 0x00007ffff7897680 in ?? ()
#11 0x0000000000000000 in ?? ()

Any ideas what could trigger the bug? (Note that when the brightness keys were touched once, this bug persists. So I think that some register on the graphics card is set wrong and from then on causes problems... Is there a way to read them all at once to see what changes?)

Emiel Kollof (emiel-kollof) wrote :
Download full text (3.3 KiB)

The crash seems to happen in drm_intel_gem_bo_start_gtt_access(),
judging from those stacktraces.

2010/7/14 Martin Vielsmaier <email address hidden>:
> When the system is frozen it is enough to kill compiz to break the freeze.
> I attached gdb to compiz while frozen, here is the stack:
> (gdb) info stack
> #0  0x00007fc45b2d2187 in ioctl () from /lib/libc.so.6
> #1  0x00007fc45891e84d in drm_intel_gem_bo_start_gtt_access () from /lib/libdrm_intel.so.1
> #2  0x00007fc458d8d70f in ?? () from /usr/lib/dri/i965_dri.so
> #3  0x00007fc45ba3d612 in glXSwapBuffers () from /usr/lib/mesa/libGL.so.1
> #4  0x0000000000413302 in eventLoop ()
> #5  0x000000000040d8e9 in main ()
>
> A second time with some more debug symbols installed:
> (gdb) info stack
> #0  0x00007f2c27198187 in ioctl () from /lib/libc.so.6
> #1  0x00007f2c247e484d in drm_intel_gem_bo_start_gtt_access (bo=0x1ac6960, write_enable=<value optimized out>)
>    at ../../intel/intel_bufmgr_gem.c:1145
> #2  0x00007f2c24c5370f in ?? () from /usr/lib/dri/i965_dri.so
> #3  0x00007f2c27903116 in ?? () from /usr/lib/mesa/libGL.so.1
> #4  0x0000000000412afb in eventLoop ()
> #5  0x000000000040d8e9 in main ()
>
> I also believe that this problem is closely linked to OpenGL activity. Before I touch the brightness keys everything is fine. Compiz and glxgears run. When I touched the brightness keys (sometimes I need to touch them more than one time), compiz freezes. When I kill it via a SSH session and then start glxgears it freezes too.
> Attached gdb to frozen glxgears, stack:
> (gdb) info stack
> #0  0x00007ff3a3abf187 in ioctl () from /lib/libc.so.6
> #1  0x00007ff3a1c6c84d in drm_intel_gem_bo_start_gtt_access () from /lib/libdrm_intel.so.1
> #2  0x00007ff3a20db70f in ?? () from /usr/lib/dri/i965_dri.so
> #3  0x00007ff3a4560612 in glXSwapBuffers () from /usr/lib/mesa/libGL.so.1
> #4  0x000000000040339f in ?? ()
> #5  0x00007ff3a39ffc4d in __libc_start_main () from /lib/libc.so.6
> #6  0x00000000004018c9 in ?? ()
> #7  0x00007fff1b7b1d78 in ?? ()
> #8  0x000000000000001c in ?? ()
> #9  0x0000000000000001 in ?? ()
> #10 0x00007fff1b7b3645 in ?? ()
> #11 0x0000000000000000 in ?? ()
>
> Second time:
> (gdb) info stack
> #0  0x00007f0027c5d187 in ioctl () from /lib/libc.so.6
> #1  0x00007f0025e0a84d in drm_intel_gem_bo_start_gtt_access (bo=0x25f8be0, write_enable=<value optimized out>)
>    at ../../intel/intel_bufmgr_gem.c:1145
> #2  0x00007f002627970f in ?? () from /usr/lib/dri/i965_dri.so
> #3  0x00007f00286fe612 in glXSwapBuffers () from /usr/lib/mesa/libGL.so.1
> #4  0x000000000040339f in ?? ()
> #5  0x00007f0027b9dc4d in __libc_start_main () from /lib/libc.so.6
> #6  0x00000000004018c9 in ?? ()
> #7  0x00007ffff7897138 in ?? ()
> #8  0x000000000000001c in ?? ()
> #9  0x0000000000000001 in ?? ()
> #10 0x00007ffff7897680 in ?? ()
> #11 0x0000000000000000 in ?? ()
>
> Any ideas what could trigger the bug? (Note that when the brightness
> keys were touched once, this bug persists. So I think that some register
> on the graphics card is set wrong and from then on causes problems... Is
> there a way to read them all at once to see what changes?)
>
> --
> [gm45] Adjusting Brightness in Acer Aspire Ti...

Read more...

Sashin (sashin) wrote :

Does this bug still occur with the latest Maverick alpha?

Robert Hooker (sarvatt) on 2010-08-24
Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → Incomplete
Emiel Kollof (emiel-kollof) wrote :

Happens on my Timeline 5810 on maverick as well. Please, can we get this damn bug fixed already?

Download full text (3.5 KiB)

Is anyone actually working on this bug?

On Mon, Aug 30, 2010 at 3:12 PM, Emiel Kollof <email address hidden>wrote:

> Happens on my Timeline 5810 on maverick as well. Please, can we get this
> damn bug fixed already?
>
> --
> [gm45] Adjusting Brightness in Acer Aspire Timelines causes system freeze
> in 4810T and 5810T models
> https://bugs.launchpad.net/bugs/446717
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (445929).
>
> Status in “xserver-xorg-video-intel” package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: compiz
>
> Ubuntu 9.10 Beta, Acer 4810tz "Timeline" series BIOS 1.28
>
> When Appearance -> Visual Effects are set to "none" brighness keys act as
> expected with small screen glitches at the bottom of the panel.
>
> With Appearance -> Visual Effects set to either "Normal" or "Advanced"
> changing brightness via the keys causes system to become unresponsive.
> Mouse does not move, keyboard does not work EXCEPT the ability to continue
> changing the brightness. Only way out is hard power off (or restart via
> sysreq).
>
> I have attempted to enable visual effects and disable all plugins via CCSM
> with no luck.
>
> Description: Ubuntu karmic (development branch)
> Release: 9.10
>
> compiz:
> Installed: 1:0.8.3+git20091005-0ubuntu5
> Candidate: 1:0.8.3+git20091005-0ubuntu5
> Version table:
> *** 1:0.8.3+git20091005-0ubuntu5 0
> 500 http://us.archive.ubuntu.com karmic/main Packages
> 100 /var/lib/dpkg/status
>
> ProblemType: Bug
> Architecture: i386
> CompizPlugins:
> [core,move,resize,place,decoration,animation,ccp,dbus,mousepoll,gnomecompat,png,svg,imgjpeg,text,commands,neg,video,wall,snap,scale,scaleaddon,expo,staticswitcher,regex,resizeinfo,workarounds,ezoom,vpswitch,extrawm,fade,session,shift,wobbly]
> Date: Thu Oct 8 16:13:02 2009
> DistroRelease: Ubuntu 9.10
> MachineType: Acer Aspire 4810T
> Package: compiz 1:0.8.3+git20091005-0ubuntu5
> PackageArchitecture: all
> PciDisplay: 00:02.0 VGA compatible controller [0300]: Intel Corporation
> Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 07)
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-12-generic
> root=UUID=33fe58ed-1c9d-4bb1-8ae3-e148af49bd93 ro quiet splash
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-12.39-generic
> RelatedPackageVersions:
> xserver-xorg 1:7.4+3ubuntu5
> libgl1-mesa-glx 7.6.0~git20090817.7c422387-0ubuntu7
> libdrm2 2.4.13-1ubuntu1
> xserver-xorg-video-intel 2:2.8.1-1ubuntu2
> xserver-xorg-video-ati 1:6.12.99+git20090825.fc74e119-0ubuntu2
> SourcePackage: compiz
> Uname: Linux 2.6.31-12-generic i686
> XorgConf: Error: [Errno 2] No such file or directory: '/etc/X11/xorg.conf'
> dmi.bios.date: 08/17/2009
> dmi.bios.vendor: INSYDE
> dmi.bios.version: V1.28.
> dmi.board.asset.tag: Base Board Asset Tag
> dmi.board.name: Aspire 4810T
> dmi.board.vendor: Acer
> dmi.board.version: Base Board Version
> dmi.chassis.type: 1
> dmi.chassis.vendor: Chassis Manufacturer
> dmi.chassis.version: Chassis Version
> dmi.modalias:
> dmi:bvnINSYDE:bvrV1.28.:bd08/17/2009:svnAcer:pnAspire4810T:pvrV1.28.:rvnAce...

Read more...

Attilio (nexor-tele2) wrote :

@TexLogic: since this bug is still unassigned, most probably not!
The problem however seems to be located in the intel video driver, and Intel developers are suggesting to report such problems at bugs.freedesktop.org, doing so might make it more visible to the right people.
I'm sorry I just don't have the time ATM...

TexLogic (chris-menzel) wrote :
Download full text (4.2 KiB)

Hey, thanks for whatever you've been able to do. Me, I've just given up on
this — it can hardly be considered a high priority to fix a bug that seems
only to affect a discontinued line of aging laptops (I haven't seen this
problem arising for Timeline [345]820 users) — and have simply turned off
visual effects. That's obviously not an optimal solution — some of that eye
candy is very useful, especially the Exposé-like feature — but it solves the
freeze problem and still leaves you with a very functional OS.

-TexLogic

On Tue, Aug 31, 2010 at 5:14 AM, Attilio <email address hidden> wrote:

> @TexLogic: since this bug is still unassigned, most probably not!
> The problem however seems to be located in the intel video driver, and
> Intel developers are suggesting to report such problems at
> bugs.freedesktop.org, doing so might make it more visible to the right
> people.
> I'm sorry I just don't have the time ATM...
>
> --
> [gm45] Adjusting Brightness in Acer Aspire Timelines causes system freeze
> in 4810T and 5810T models
> https://bugs.launchpad.net/bugs/446717
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (445929).
>
> Status in “xserver-xorg-video-intel” package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: compiz
>
> Ubuntu 9.10 Beta, Acer 4810tz "Timeline" series BIOS 1.28
>
> When Appearance -> Visual Effects are set to "none" brighness keys act as
> expected with small screen glitches at the bottom of the panel.
>
> With Appearance -> Visual Effects set to either "Normal" or "Advanced"
> changing brightness via the keys causes system to become unresponsive.
> Mouse does not move, keyboard does not work EXCEPT the ability to continue
> changing the brightness. Only way out is hard power off (or restart via
> sysreq).
>
> I have attempted to enable visual effects and disable all plugins via CCSM
> with no luck.
>
> Description: Ubuntu karmic (development branch)
> Release: 9.10
>
> compiz:
> Installed: 1:0.8.3+git20091005-0ubuntu5
> Candidate: 1:0.8.3+git20091005-0ubuntu5
> Version table:
> *** 1:0.8.3+git20091005-0ubuntu5 0
> 500 http://us.archive.ubuntu.com karmic/main Packages
> 100 /var/lib/dpkg/status
>
> ProblemType: Bug
> Architecture: i386
> CompizPlugins:
> [core,move,resize,place,decoration,animation,ccp,dbus,mousepoll,gnomecompat,png,svg,imgjpeg,text,commands,neg,video,wall,snap,scale,scaleaddon,expo,staticswitcher,regex,resizeinfo,workarounds,ezoom,vpswitch,extrawm,fade,session,shift,wobbly]
> Date: Thu Oct 8 16:13:02 2009
> DistroRelease: Ubuntu 9.10
> MachineType: Acer Aspire 4810T
> Package: compiz 1:0.8.3+git20091005-0ubuntu5
> PackageArchitecture: all
> PciDisplay: 00:02.0 VGA compatible controller [0300]: Intel Corporation
> Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 07)
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-12-generic
> root=UUID=33fe58ed-1c9d-4bb1-8ae3-e148af49bd93 ro quiet splash
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-12.39-generic
> RelatedPackageVersions:
> xserver-xorg 1:7.4+3ubuntu5
> libgl1-mesa-glx 7.6.0~git20090817.7c422387...

Read more...

Emiel Kollof (emiel-kollof) wrote :

Did someone already submit this bug to the freedesktop people? I did some quick searching, but I saw no reports.

I will create a bug there and reference to here.

Emiel Kollof (emiel-kollof) wrote :

I created a bug at bugs.freedesktop.org: https://bugs.freedesktop.org/show_bug.cgi?id=29931

Hopefully this thing will be fixed soon. It's irritating.

The bug is fixed for me by the following commit:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=4e5359cd053bfb7d8dabe4a63624a5726848ffbc
It is part of kernels >= 2.6.36-rc4.
Setting the brightness for me still is somehow weird (after pressing Fn+left_arrow more than one time, Fn+right_arrow switches the brightness down instead of up one time, it has just got 5-6 levels, while the /sys and /proc filesystems suggest 10 levels), but it is a great thing to be able to press buttons without the constant fear of a freeze.

Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → Opinion
status: Opinion → Incomplete
tankdriver (stoneraider) wrote :

Here is a workaround to set the Brightness via shell:
~$ sudo setpci -s 00:02.0 F4.B=75
(to set Brightness to 75%)
be careful with low values, 00 is completely black.

tankdriver (stoneraider) wrote :

I tried todays daily-live Natty. (kernel 2.6.37.11.13) and the bug is NOT FIXED for me (4810TZ)

Sashin (sashin) wrote :

It's still not fixed. As of today... also that fix works!!! maybe there could be a work around to make the buttons increase that value somehow... (does that fix actually increase battery life as well?)

tankdriver (stoneraider) wrote :

I tried todays Natty daily-live.
The bug is fixed for me! (4810TZ)
Brightness keys work perfectly now. Thank you.

TexLogic (chris-menzel) wrote :

Just updated to latest natty packages. No joy for me (5810T). Same old same old: Screen dims, then the screen freezes, except for the mouse cursor. Machine is alive, as I can ssh in.

TexLogic

tankdriver (stoneraider) wrote :

I must revoke my statement,
I tested todays daily-live (run completely on battery) and the bug appears again.
sorry.

Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → Confirmed
Gustavo Azambuja (gazambuja) wrote :

I have Ubuntu Natty beta 1 (development branch) and the problem is still there :(

executorvs (executorvs) wrote :

The bug is still present on my 5810TZ.

Brian Yurko (byurko) wrote :

Experiencing this issue with Natty 11.04 on a 5810T.

I erroneously created another bug report for this issue at this URL
https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/783262

Here's the description as my comment here. Feel free to remove the other bug, if this is the proper place.

This issue happens nearly every time I press the Function key in conjunction with the left or right arrows. I often intend to press Ctrl + Arrows to move the cursor, but the Function key is adjacent to Ctrl.

What happens, the following symptoms are observed. The desktop is preserved as it was at the time of the crash. The system time never advances nor does any other visual indicator update (such as network disconnect, media insert, etc). I can move the mouse about the screen, but the pointer does not change based upon the context and no clicks are registered. No keystrokes are registered. I cannot press Special (Window) + F2 or Special + Escape to bring up any system menus.

I have needed to restart the computer to correct this. (I can test again with less drastic steps if anyone wishes to make recommendations.)

(I believe the issue is with xorg-server, not various gnome processes.)

I am using an Acer Aspire Timeline 5810T, a laptop.

Here is a interesting series of steps that will reproduce this issue every time:

Boot the computer.
At the GDM login screen, prior to logging in...
Press Function + Left Arrow and Function + Right Arrow a couple of times.
Notice that there is a screen overlay that shows the brightness level in the upper right corner (LCD brightness is mapped to my FN + Arrows)
At this point I can still use the mouse and keystrokes are still being registered.
Log into the system by selecting a user account and entering a password.
You will begin to see the desktop load, accompanied by a login sound.
The cursor changes to a waiting icon.
At this point, the system ceases to be responsive any further, according to the description provided above.
The mouse will still move the wait cursor around the screen. Keystrokes other than Ctrl + Alt + F# are not recognized.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: xserver-xorg-core 2:1.10.1-1ubuntu1
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic-pae 2.6.38.2
Uname: Linux 2.6.38-8-generic-pae i686
Architecture: i386
Date: Sun May 15 21:09:31 2011
DistroCodename: natty
DistroVariant: ubuntu
ExecutablePath: /usr/bin/Xorg
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Beta i386 (20110413)
ProcEnviron:
 LANG=en_US.UTF-8
 PATH=(custom, no user)
SourcePackage: xorg-server
UpgradeStatus: No upgrade log present (probably fresh install)

Brian Yurko (byurko) wrote :

When I examined the function key press using logkeys (http://code.google.com/p/logkeys/)
I noticed that a single key press of the Function key alone registers two times.

<E-1d0><E-1d0>

The documentation for the logkeys logfile format, indicates that 1d0 is the keycode in hexadecimal format. Perhaps this registration of this keypress two times is contributing to the error?

Is the patch mentioned by Martin in comment #60 supposed to remove the instability during brightness adjustments? I'm using kernel version 2.6.38-8 and still experiencing the issue.

I am not sure where to check in the /sys or /proc filesystem to determine the number of brightness levels that are supposed to be available to the system, or the current setting.

tankdriver (stoneraider) wrote :

I can reproduce this bug with Oneiric Alpha 3 on Acer 4810TZ

Bump. After attaching a few log files to the bug report at https://bugs.freedesktop.org/show_bug.cgi?id=29931, they concluded that was not a bug in the Intel driver, but in compiz. I'm not sure whether this is the correct forum for bugs in compiz, but I'll be more than happy to help out with any information you may need.

I'm running Ubuntu 12.04 on an Acer 4810T.

Also affected with this issue on 12.10. Its been quite a while now, but its still not fixed. Too bad, its quite a major bug in my opinion.

Chris Wilson (ickle) wrote :

It's not a bug in the gfx driver that you don't have the correct backlight driver.

Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.